Package com.tick42.glue.desktop.layouts

# Enum LayoutComponentType

java.lang.Object
java.lang.Enum<LayoutComponentType>
com.tick42.glue.desktop.layouts.LayoutComponentType

All Implemented Interfaces:
  `Serializable`, `Comparable<LayoutComponentType>`

    public enum LayoutComponentType
    extends Enum<LayoutComponentType>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ACTIVITY` |
  `CANVAS` |
  `CHILD_WINDOW` |
  `CLICKONCE` |
  `EXE` |
  `NODE` |
  `SWIMLANE` |
  `WINDOW` |
  `WORKSPACE` |
  `WORKSPACE_FRAME` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static LayoutComponentType` | `fromString​(String name)` |
  `String` | `getName()` |
  `static LayoutComponentType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static LayoutComponentType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACTIVITY

    public static final LayoutComponentType ACTIVITY

  - ### WINDOW

    public static final LayoutComponentType WINDOW

  - ### EXE

    public static final LayoutComponentType EXE

  - ### NODE

    public static final LayoutComponentType NODE

  - ### CANVAS

    public static final LayoutComponentType CANVAS

  - ### SWIMLANE

    public static final LayoutComponentType SWIMLANE

  - ### CLICKONCE

    public static final LayoutComponentType CLICKONCE

  - ### WORKSPACE

    public static final LayoutComponentType WORKSPACE

  - ### WORKSPACE_FRAME

    public static final LayoutComponentType WORKSPACE_FRAME

  - ### CHILD_WINDOW

    public static final LayoutComponentType CHILD_WINDOW

- ## Method Details

  - ### values

    public static LayoutComponentType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LayoutComponentType valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromString

    public static LayoutComponentType fromString​(String name)

  - ### getName

    public String getName()